[PC-BSD Commits] r2003 - pcbsd/trunk/mfsroot-overlay/root
svn at pcbsd.org
svn at pcbsd.org
Mon Jun 2 11:36:28 PDT 2008
Author: kris
Date: 2008-06-02 11:36:28 -0700 (Mon, 02 Jun 2008)
New Revision: 2003
Modified:
pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh
Log:
Updated installcd startup script to check if ZFS is enabled, and start the
service
Modified: pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh
===================================================================
--- pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh 2008-06-02 18:34:14 UTC (rev 2002)
+++ pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh 2008-06-02 18:36:28 UTC (rev 2003)
@@ -29,6 +29,7 @@
echo "Detecting X Setup..."
/usr/local/pcbsd/scripts/cardDetect/x_config.sh
+# Check if we should be going to the console instead of X directly
/sbin/sysctl kern.module_path | /usr/bin/grep "CONSOLE" >/dev/null 2>/dev/null
FOUND="$?"
if [ "$FOUND" = "0" ]
@@ -38,6 +39,8 @@
exit
fi
+
+# Check for VESA support
/sbin/sysctl kern.module_path | /usr/bin/grep "VESA" >/dev/null 2>/dev/null
FOUND="$?"
if [ "$FOUND" = "0" ]
@@ -46,6 +49,18 @@
fi
+# Check if the user enabled ZFS support and do it
+/sbin/sysctl kern.module_path | /usr/bin/grep "ZFS" >/dev/null 2>/dev/null
+FOUND="$?"
+if [ "$FOUND" = "0" ]
+then
+ echo '
+zfs_enable="YES"' >> /etc/rc.conf
+ /etc/rc.d/zfs start
+ touch /tmp/zfsEnabled
+fi
+
+
startx 2>/tmp/xstartup.log
if [ ! -e "/tmp/.xstarted" ]
then
More information about the Commits
mailing list